Name:           python-nss
Version:        1.0.1
Release:        14
Summary:        Bindings the Python for Network Security Services(NSS)
License:        MPLv2.0 or GPLv2+ or LGPLv2+
URL:            https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSS/Python_binding_for_NSS
Source0:        https://ftp.mozilla.org/pub/mozilla.org/security/python-nss/releases/PYNSS_RELEASE_1_0_1/src/python-nss-%{version}.tar.bz2
Patch0000:      sphinx.patch
BuildRequires:  gcc nspr-devel nss-devel python3-devel python3-sphinx

%description
The python-nss provides Python bindings for Netscape Portable Runtime (NSPR)\
and Network Security Services (NSS)\
The NSS is a server applications and set of libraries supporting\
security-enabled client and The Applications built with NSS can support SSL v2\
and v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3\
certificates, and other security standards. Specific NSS implementations\
have been FIPS-140 certified.

%package -n python3-nss
Summary: Bindings the Python3 for Network Security Services(NSS)
BuildRequires: python3-devel python3-setuptools python3-sphinx
%{?python_provide:%python_provide python3-nss}

%description -n python3-nss
The python-nss provides Python bindings for Netscape Portable Runtime (NSPR)\
and Network Security Services (NSS)\
The NSS is a server applications and set of libraries supporting\
security-enabled client and The Applications built with NSS can support SSL v2\
and v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3\
certificates, and other security standards. Specific NSS implementations\
have been FIPS-140 certified.

%package help
Summary:   The examples and API documentation
Provides:  python-nss-doc = %{version}-%{release}
Obsoletes: python-nss-doc < %{version}-%{release}

%description help
The examples and API documentation

%prep
%autosetup  -n python-nss-%{version} -p1

%build
%py3_build
%{__python3} setup.py build_doc

%install
%py3_install
%{__python3} setup.py install_doc --docdir %{_docdir}/%{name}-%{version} --skip-build --root $RPM_BUILD_ROOT

find $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version} -type f | xargs chmod a-x
chmod 0755 $RPM_BUILD_ROOT/%{python3_sitearch}/nss/*.so

%files -n python3-nss
%{python3_sitearch}/*
%doc %{_docdir}/%{name}-%{version}/{LICENSE.gpl,LICENSE.lgpl,LICENSE.mpl}

%files help
%doc %{_docdir}/%{name}-%{version}/{examples,test,api,ChangeLog,README}

%changelog
* Mon Apr 20 2020 yaokai <yaokai13@huawei.com> - 1.0.1-14
- Package init
